"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@jscpd/core");
const safe_1 = require("colors/safe");
function getStore(storeName) {
    if (storeName) {
        const packageName = '@jscpd/' + storeName + '-store';
        try {
            const store = require(packageName).default;
            return new store();
        }
        catch (e) {
            console.error(safe_1.red('store name ' + storeName + ' not installed.'));
        }
    }
    return new core_1.MemoryStore();
}
exports.getStore = getStore;
//# sourceMappingURL=store.js.map